Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.shape
Class DrawingToolRenderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bbn.openmap.dataAccess.shape.DrawingToolRenderException

All Implemented Interfaces:
  java.io.Serializable

public class DrawingToolRenderException
extends java.lang.Exception

Used to throw an exception when OMGraphics are not rendered as OMGraphicConstants.RENDERTYPE_LATLON in EsriShapeExport and its subclasses.

See Also:
  Serialized Form

Constructor Summary
`DrawingToolRenderException()`

Method Summary
`static void` | `notifyUserOfNonLatLonGraphics(int count)` Displays a JOtionPane Message Dialog informing the user that any Drawing Tool graphics not rendered in LAT/LON will not be exported.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DrawingToolRenderException

    public DrawingToolRenderException()

Method Detail

### notifyUserOfNonLatLonGraphics

    public static void notifyUserOfNonLatLonGraphics(int count)

  Displays a JOtionPane Message Dialog informing the user that any Drawing Tool graphics not rendered in LAT/LON will not be exported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details